QGIS Application - Bug report #12808

Select by location doesn't work when 'Use selected features only' checkbox is selected but no there
is no selection

2015-05-22 03:54 AM - Kilian Steinkohl

Status: Closed

Priority: Normal

Assignee:
Affected QGIS version:master Regression?:
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20904
Description

When using 'Select by location' with 'Use selected features only' checked, the results are not as expected.
When trying to create a new selection based on the intersection of a polygon layer with an existing selection the progress bar starts to
move infinitely from one side to the other and the current selection is cleared without creating the expected new selection.

Maybe this is a result of fixing bug report #10873 (commit:8502d11). It seems that the current selection is cleared before the new
selection is created. This is obviously contradictory if 'Use selected features only' is checked.

History

#1 - 2015-05-22 04:41 AM - Jakob Hvitnov

| am not able to reproduce this on 2.9.0

However the behavior you describe with the progress bar moving from side to side, can be triggered by enabling "use only selected features" while actually
not having any selection in the input layer.

It seems the first issue has already been solved on 2.9.0, but it wouuld be a good idea to not have "use only selected features” availiable as an option if
features are actually selected.

#2 - 2015-05-22 05:10 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.2 to master

- Target version set to Future Release - Lower Priority

- Subject changed from Select by location doesn't work with 'Use selected features only' checkbox to Select by location doesn't work when 'Use selected

features only' checkbox is selected but no there is no selection

However the behavior you describe with the progress bar moving from side to side, can be triggered by enabling "use only selected features" while
actually not having any selection in the input layer.

exactly, this is the real issue.

#3 - 2015-05-22 07:13 AM - Kilian Steinkohl

You are correct, the tool is working as intended. My bug report was based on a misconception of the "use only selected features" checkbox. | thought the
checkbox applied to the first layer (the layer from which features are selected), so | could narrow down an existing selection. In fact it applies to the second
layer (the layer which is checked for intersections with the first one).

As a matter of fact, this is pretty obvious considering the GUI, but as | was expecting a different funcionality, it got me confused.
Concerning the issue with the progress bar, | think there is already a ticket (#6018).

#4 - 2015-06-01 06:02 AM - Saber Razmjooei
- Status changed from Open to Closed

#5 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
